Page MenuHomePhabricator

Remove br_user_email index in WMF production
Closed, ResolvedPublic

Description

The schema change in https://gerrit.wikimedia.org/r/181626 needs to be deployed.

Event Timeline

Legoktm created this task.Dec 23 2014, 9:39 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, 01tonythomas, Springle, aaron.

Change 181872 had a related patch set uploaded (by 01tonythomas):
Remove index on br_user_email in bounce_records

https://gerrit.wikimedia.org/r/181872

Patch-For-Review

Se4598 added a subscriber: Se4598.

We had to re-add the index back into the repo as one another select statement was using it with patch: https://gerrit.wikimedia.org/r/#/c/182421/. Once that gets merged, we would want this one too ported to production.

01tonythomas added a comment.EditedJan 10 2015, 7:22 AM

Thanks to https://gerrit.wikimedia.org/r/#/c/182421/ , we have re-added the 'br_user_email' index back. Reedy have created the new index 'br_timestamp' in production:

Reedy> tonythomas: I just did CREATE INDEX /*i*/br_timestamp ON /*_*/bounce_records(br_timestamp);
Se4598 removed a subscriber: Se4598.Jan 29 2015, 7:53 PM
Reedy closed this task as Resolved.Feb 3 2015, 10:27 PM
Reedy claimed this task.
Reedy added a subscriber: Reedy.

Resolving

Change 181872 abandoned by Hoo man:
Remove index on br_user_email in bounce_records

Reason:
Obsolete

https://gerrit.wikimedia.org/r/181872